#!/usr/bin/env python

import os
import sys

try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup


if sys.argv[-1] == 'publish':
    os.system('python setup.py sdist upload')
    sys.exit()

readme = open('README.rst').read()
doclink = """
Documentation
-------------

The full documentation is at http://sidi.rtfd.org."""
history = open('HISTORY.rst').read().replace('.. :changelog:', '')

setup(
    name='sidi',
    version='0.1.0',
    description='The sidi game and a AI in python',
    long_description=readme + '\n\n' + doclink + '\n\n' + history,
    author='Jean-Louis Fuchs',
    author_email='ganwell@fangorn.ch',
    url='https://github.com/ganwell/sidi',
    packages=[
        'sidi',
    ],
    package_dir={'sidi': 'sidi'},
    include_package_data=True,
    install_requires=[
        'six',
        'kyotocabinet',
        'msgpack-python',
    ],
    license='MIT',
    zip_safe=False,
    keywords='sidi',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: Implementation :: PyPy',
    ],
)
