""" Testing kyotocabinet on travis and different platforms """

import kyotocabinet
import os


class TestKyoto(object):
    """ Testing kyoto cabinet basic functionality """

    def setup(self):
        """ Setup """
        self.db = kyotocabinet.DB()
        self.db.open("test.kch")

    def test_kyoto(self):
        """ Opening db, setting, getting key """
        self.db.set(b'bb', b'aa')
        assert self.db.get(b'bb') == b'aa'

    def teardown(self):
        """ Teardown """
        self.db.close()
        os.remove("test.kch")

# pylama:ignore=W0201
